summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-01-07 22:08:29 +0100
committerHolger Levsen <holger@layer-acht.org>2016-01-07 22:08:29 +0100
commitdb01d0bb08820168ad39ead186143242699e5a65 (patch)
tree79ee48ca7888c7c1baa73309e50504886cb6113f /bin/reproducible_maintenance.sh
parente4e904e6a5500204face49958cdd01299bf0755e (diff)
downloadjenkins.debian.net-db01d0bb08820168ad39ead186143242699e5a65.tar.xz
reproducible: look for reproducible_build.sh processes with pid 1 as parent (=orphans) and let the maintenance job become unstable if found
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 430b5d93..851384be 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -328,6 +328,14 @@ if [ ! -z "$PSCALL" ] ; then
echo
fi
+# find builds which should not be there
+RESULTS=$(pgrep -f reproducible_build.sh --parent 1 || true)
+if [ ! -z "$RESULTS" ] ; then
+ DIRTY=true
+ echo "Warning: found reproducible_build.sh processes which have pid 1 as parent (and not sshd), thus something went wrong… please investigate."
+ echo -e "$RESULTS"
+
+fi
# remove artifacts older than a day
echo "$(date -u) - Checking for artifacts older than a day."